com.aliyun.svideosdk.common.struct.effect

## Class EffectStream

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectStream

-     public class EffectStream
      extends EffectBase

  Added in v3.27.0 The video or audio stream

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EffectStream.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `duration`
    `protected long` | `streamDuration`
    `protected long` | `streamStartTime`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Get the duration of stream file.
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` Get the duration of stream file.
    `long` | `getStreamDuration()` Get the duration of stream file.
    `long` | `getStreamDuration(java.util.concurrent.TimeUnit timeUnit)` Get the duration of stream file
    `long` | `getStreamEndTime()` Get the end time of stream.
    `long` | `getStreamEndTime(java.util.concurrent.TimeUnit unit)` Get the end time of stream
    `long` | `getStreamStartTime()` Get the start time of stream.
    `long` | `getStreamStartTime(java.util.concurrent.TimeUnit unit)` Get the start time of stream.
    `void` | `setStreamDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` Sets the duration of stream.
    `void` | `setStreamStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Sets the start time of stream.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### streamStartTime

          protected long streamStartTime

    - #### streamDuration

          protected long streamDuration

    - #### duration

          protected long duration

  - ### Constructor Detail

    - #### EffectStream

          public EffectStream()

  - ### Method Detail

    - #### getStreamStartTime

          public long getStreamStartTime()

      Get the start time of stream. Unit : Milliseconds
      Returns:
        startTime

    - #### getStreamStartTime

          public long getStreamStartTime(java.util.concurrent.TimeUnit unit)

      Get the start time of stream.
      Parameters:
        `unit` - TimeUnit
      Returns:
        startTime

    - #### getStreamEndTime

          public long getStreamEndTime()

      Get the end time of stream. Unit : Milliseconds
      Returns:
        endTime

    - #### getStreamEndTime

          public long getStreamEndTime(java.util.concurrent.TimeUnit unit)

      Get the end time of stream
      Parameters:
        `unit` - TimeUnit
      Returns:
        endTime

    - #### setStreamStartTime

          public void setStreamStartTime(long startTime,
                                         java.util.concurrent.TimeUnit timeUnit)

      Sets the start time of stream.
      Parameters:
        `startTime` -
        `timeUnit` - Time Unit

    - #### getStreamDuration

          public long getStreamDuration()

      Get the duration of stream file. Unit : Milliseconds
      Returns:
        duration

    - #### getStreamDuration

          public long getStreamDuration(java.util.concurrent.TimeUnit timeUnit)

      Get the duration of stream file
      Returns:
        duration

    - #### setStreamDuration

          public void setStreamDuration(long duration,
                                        java.util.concurrent.TimeUnit timeUnit)

      Sets the duration of stream.
      Parameters:
        `duration` -
        `timeUnit` - Time Unit

    - #### getDuration

          public long getDuration()

      Get the duration of stream file. Unit : Milliseconds
      Returns:
        duration

    - #### getDuration

          public long getDuration(java.util.concurrent.TimeUnit timeUnit)

      Get the duration of stream file.
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        duration